Propose a correction to an approved answer (or a new answer)
POST
/v1/workspace/knowledge/proposals
const url = 'https://api.vocapable.com/v1/workspace/knowledge/proposals';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"pack_id":"example","expected_version":1,"source_index":1,"label":"example","proposed_value":"example","reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/knowledge/proposals \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "pack_id": "example", "expected_version": 1, "source_index": 1, "label": "example", "proposed_value": "example", "reason": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WorkspaceKnowledgeProposal
object
Examplegenerated
{ "pack_id": "example", "expected_version": 1, "source_index": 1, "label": "example", "proposed_value": "example", "reason": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceKnowledgeReview
object
id
required
Id
string
pack_id
required
Pack Id
string
pack_name
required
Pack Name
string
kind
required
Kind
string
status
required
Status
string
created_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
resolved_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
stale
required
Stale
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
Example
{ "kind": "stale", "status": "open"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}